%{?mingw_package_header}

# Only build the 32 bit package.
%global mingw_build_win32 1
%global mingw_build_win64 0

%global gitdate 20150115
%global commit fd659e77cdd9da484fdc9dcbe0605c62ec26fa30
%global shortcommit fd659e77

Name:		mingw-srvany
Version:	1.0
Release:	%mkrel 13
Summary:	Utility for creating services for Windows
Group:		Development/Other

License:	GPLv2+
BuildArch:	noarch

URL:		http://github.com/rwmjones/rhsrvany
Source0:	https://github.com/rwmjones/rhsrvany/archive/%{commit}/rhsrvany-%{commit}.tar.gz
Source1:	COPYING

# Needed because we build from the git version, using autoreconf.
BuildRequires:	automake autoconf libtool

BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
# Prevent iurt to schedule it on arm-noarch:
ExclusiveArch: %{ix86} x86_64


%description
Utility for creating a service from any MinGW Windows binary


%package -n mingw32-srvany
Summary:	Utility for creating services for Windows
Group:		Development/Other


%description -n mingw32-srvany
Utility for creating a service from any MinGW Windows binary


%{?mingw_debug_package}


%prep
%setup -q -n rhsrvany-%{commit}
cp %{SOURCE1} .


%build
autoreconf -i
%{mingw32_configure}
%make


%install
make DESTDIR=$RPM_BUILD_ROOT install


%files -n mingw32-srvany
%doc COPYING
%{mingw32_bindir}/rhsrvany.exe




%changelog
* Mon May 02 2016 tv <tv> 1.0-13.mga6
+ Revision: 1008717
- rebuild with new toolchain' deps

* Tue Apr 26 2016 tv <tv> 1.0-1.mga6
+ Revision: 1006679
- prevent iurt to schedule it on arm-noarch
- imported package mingw-srvany

